selabel_media(5)

NAME
selabel_media - userspace SELinux labeling interface: media contexts backend.

SYNOPSIS
#include <selinux/selinux.h> #include <selinux/label.h>

int selabel_lookup(struct selabel_handle *hnd,
security_context_t *context, const char *device_name, int unused);

DESCRIPTION
The media contexts backend maps from media device names such as "cdrom" or "floppy" into security contexts. It is used to find the appropriate context for establishing context mounts on these devices. The integer lookup argument is currently unused and should be set to zero.

OPTIONS
In addition to the global options described in selabel_open(3), this backend recognizes the following options:

SELABEL_OPT_PATH
    A non-null value for this option specifies a path to a file that will be opened in lieu of the standard media contexts file.

SEE ALSO
selabel_open(3), selabel_lookup(3), selabel_stats(3), selinux(8)